Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface RangeInfo

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset, DefaultBoxAndWhiskerXYDataset, DefaultStatisticalCategoryDataset, DynamicTimeSeriesCollection, JDBCXYDataset

public interface RangeInfo

An interface (optional) that can be implemented by a dataset to assist in determining the minimum and maximum values.

Method Summary
`java.lang.Number` | `getMaximumRangeValue()` Returns the maximum value in the dataset's range (or null if all the values in the range are null).
`java.lang.Number` | `getMinimumRangeValue()` Returns the minimum value in the dataset's range (or null if all the values in the range are null).
`Range` | `getValueRange()` Returns the range of the values in this dataset's range.

Method Detail

### getMinimumRangeValue

    public java.lang.Number getMinimumRangeValue()

  Returns the minimum value in the dataset's range (or null if all the values in the range are null).

  Returns:
    the minimum value.

### getMaximumRangeValue

    public java.lang.Number getMaximumRangeValue()

  Returns the maximum value in the dataset's range (or null if all the values in the range are null).

  Returns:
    the maximum value.

### getValueRange

    public Range getValueRange()

  Returns the range of the values in this dataset's range.

  Returns:
    the range.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD